package lightcontainer.protocol.rules.writer;

import lightcontainer.protocol.ProtocolWriter;

public class GetFileOkRule extends ProtocolWriter {
    // Constants
    private static final String PATTERN = "^GETFILE_OK (^ !]{1,20}) ([0-9]{1,10})\r\n$";
    public static final String NAME = "GETFILE_OK";
    // -- params
    private static final int FILE_NAME = 0;  // Index file name hashed
    private static final int FILE_SIZE = 1;  // Index file size

    // Constructors
    public GetFileOkRule() {
        super(NAME, PATTERN);
    }
}
