package lightcontainer.protocol.rules.writer;

import lightcontainer.protocol.ProtocolWriter;

public class RetrieveFileRule extends ProtocolWriter {
    // Constants
    private static final String PATTERN = "^RETRIEVEFILE ([A-Za-z0-9.]{50,200})\r\n$";
    public static final String NAME = "RETRIEVEFILE";
    // -- params
    private static final int HASHED_FILE_NAME = 0;  // Index hashed filename

    // Constructor
    public RetrieveFileRule() {
        super(NAME, PATTERN);
    }
}
